summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ben-Richard Ebbesvik <brebbesvik@yahoo.no>2010-05-12 23:32:30 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:32:30 +0200
commit284338088e7f547475f2e7239e1023a4860603b8 (patch)
tree1318307baebf9e284d8516a3c0f9f35371821f19
parentd3791abea05a66db5e1fddedb20afcd74a6010c1 (diff)
downloadslackbuilds-284338088e7f547475f2e7239e1023a4860603b8.tar.gz
slackbuilds-284338088e7f547475f2e7239e1023a4860603b8.tar.xz
network/mod_python: Added to 12.2 repository
-rw-r--r--network/mod_python/README1
-rw-r--r--network/mod_python/mod_python.SlackBuild68
-rw-r--r--network/mod_python/mod_python.info8
-rw-r--r--network/mod_python/patch-2009-05-13.diff11
-rw-r--r--network/mod_python/slack-desc19
5 files changed, 107 insertions, 0 deletions
diff --git a/network/mod_python/README b/network/mod_python/README
new file mode 100644
index 0000000000..28e1bdeb2b
--- /dev/null
+++ b/network/mod_python/README
@@ -0,0 +1 @@
+mod_python is a Python module for Apache.
diff --git a/network/mod_python/mod_python.SlackBuild b/network/mod_python/mod_python.SlackBuild
new file mode 100644
index 0000000000..9b0c2d0439
--- /dev/null
+++ b/network/mod_python/mod_python.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for mod_python
+
+# Writen by Ben-Richard Ebbesvik (brebbesvik@yahoo.no)
+
+PRGNAM=mod_python
+VERSION=3.3.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tgz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+patch -p0 < $CWD/patch-2009-05-13.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-apxs=/usr/sbin/apxs \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README NOTICE doc-html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/mod_python/mod_python.info b/network/mod_python/mod_python.info
new file mode 100644
index 0000000000..afe818e8d3
--- /dev/null
+++ b/network/mod_python/mod_python.info
@@ -0,0 +1,8 @@
+PRGNAM="mod_python"
+VERSION="3.3.1"
+HOMEPAGE="http://www.modpython.org/"
+DOWNLOAD="http://www.powertech.no/apache/dist/httpd/modpython/mod_python-3.3.1.tgz"
+MD5SUM="a3b0150176b726bd2833dac3a7837dc5"
+MAINTAINER="Ben-Richard Ebbesvik"
+EMAIL="brebbesvik@yahoo.no"
+APPROVED="dsomero"
diff --git a/network/mod_python/patch-2009-05-13.diff b/network/mod_python/patch-2009-05-13.diff
new file mode 100644
index 0000000000..c4dfdbe9e8
--- /dev/null
+++ b/network/mod_python/patch-2009-05-13.diff
@@ -0,0 +1,11 @@
+--- src/connobject.c 2006-12-03 05:36:37.000000000 +0100
++++ src/connobject.c 2009-05-13 20:05:21.002672988 +0200
+@@ -139,7 +139,7 @@
+ bytes_read = 0;
+
+ while ((bytes_read < len || len == 0) &&
+- !(b == APR_BRIGADE_SENTINEL(b) ||
++ !(b == APR_BRIGADE_SENTINEL(bb) ||
+ APR_BUCKET_IS_EOS(b) || APR_BUCKET_IS_FLUSH(b))) {
+
+ const char *data;
diff --git a/network/mod_python/slack-desc b/network/mod_python/slack-desc
new file mode 100644
index 0000000000..bc32a8bde3
--- /dev/null
+++ b/network/mod_python/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mod_python: mod_python (Python module for Apache)
+mod_python:
+mod_python: Python module for Apache.
+mod_python:
+mod_python: http://httpd.apache.org/modules/python-download.cgi
+mod_python:
+mod_python:
+mod_python:
+mod_python:
+mod_python:
+mod_python: